#ugly hack
%define _noVersionedDependencies 1

Summary: An enhanced version of csh, the C shell.
Name: tcsh
Version: 6.13
Release: 1tr
License: distributable
Group: Trustix Official
Source: ftp://ftp.astron.com/pub/tcsh/tcsh-%{version}.00.tar.gz
Patch0: tcsh-6.10-utmp.patch
Patch1: tcsh-6.10-termios.patch
Patch2: tcsh-6.10-pathmax.patch
Provides: csh = %{version}
Requires: rpm >= 3.0.6
Prereq: coreutils grep
URL: http://www.primate.wisc.edu/software/csh-tcsh-book/
Buildroot: /var/tmp/%{name}-root

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell.  Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.

%prep
%setup -q -n %{name}-%{version}.00
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --bindir=/bin
make LIBES="-lnsl -ltermcap -lcrypt"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1 $RPM_BUILD_ROOT/bin
install -m 755 -s tcsh $RPM_BUILD_ROOT/bin/tcsh
install -m 644 tcsh.man $RPM_BUILD_ROOT/usr/share/man/man1/tcsh.1
ln -sf tcsh $RPM_BUILD_ROOT/bin/csh
nroff -me eight-bit.me > eight-bit.txt

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/tcsh" >> /etc/shells
	echo "/bin/csh" >> /etc/shells
else
	grep '^/bin/tcsh$' /etc/shells > /dev/null || echo "/bin/tcsh" >> /etc/shells
	grep '^/bin/csh$' /etc/shells > /dev/null || echo "/bin/csh" >> /etc/shells
fi

%postun
if [ ! -x /bin/tcsh ]; then
	grep -v '^/bin/tcsh$' /etc/shells | grep -v '^/bin/csh$'> /etc/shells.rpm
	mv /etc/shells.rpm /etc/shells
fi

%files
%defattr(-,root,root)
%doc NewThings FAQ eight-bit.txt complete.tcsh
/bin/tcsh
/bin/csh
/usr/share/man/man1/tcsh.*

%changelog
* Tue Sep 28 2004 Nageswara Sastry <nageswara at comodo dot com> 6.13-1tr
- Upgraded to version 6.13-1tr from 6.12-7tr

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 6.12-5tr
- Rebuilt.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 6.12-4tr
- Big rebuild

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 6.12-3em
- fileutils -> coreutils.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 6.12-2em
- Rebuilt against glibc 2.3.2.

* Fri Aug 23 2002 Christian H. Toldnes <christht at trustix dot com> 6.12-1ct
- New upstream version: 6.12
- Built for TSL 2.0

* Tue Jul  3 2001 Oystein Viggen <oysteivi at trustix dot com>
- define _noVersionedDependencies

* Tue Feb 29 2000 Lars Gaarden <larsg at trustix dot com>
- moved man page to /usr/share/man, FHS

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- append entries to spanking new /etc/shells.

* Mon Jan 10 2000 Jeff Johnson <jbj@redhat.com>
- update to 6.09.
- fix strcoll oddness (#6000, #6244, #6398).

* Sat Sep 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix $shell by using --bindir

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Cristian Gafton <gafton@redhat.com>
- patch for using PATH_MAX instead of some silly internal #defines for
  variables that handle filenames.

* Fri Nov  6 1998 Jeff Johnson <jbj@redhat.com>
- update to 6.08.00.

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.07.09 from the freebsd
- security fix

* Wed Aug  5 1998 Jeff Johnson <jbj@redhat.com>
- use -ltermcap so that /bin/tcsh can be used in single user mode w/o /usr.
- update url's

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 6.07; added BuildRoot
- cleaned up the spec file; fixed source url

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- added termios hacks for new glibc
- added /bin/csh to file list

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
 - Provides csh, adds and removes /bin/csh from /etc/shells if csh package
isn't installed.
